> For the complete documentation index, see [llms.txt](https://docs-swft.swft.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-swft.swft.pro/zhong-xin-hua-dui-huan-api-jie-kou/cha-xun-ding-dan-zhuang-tai.md).

# 查询订单状态

### &#x20;**1. 接口调用：**

&#x20;`https://{host}/open/api/queryOrderState`

### **2. 请求参数**

| 参数      | 是否必须 | 说明  |
| ------- | ---- | --- |
| orderId | 是    | 订单号 |

### 3.请求参数示例

```yaml
{
	"channelId":"zml-test",
	"orderId":"3a380d57-fe56-41df-a6ba-fda7eac998a3",
	"sign":"DC4C0F038818CCA8076FEE070D93016AC9444E1DAF3F64267F2917C718A89AB6",
	"timestamp":1557657001401
}
```

### 4.Postman示例

![](/files/gKoPJrzsyU8TIGLXhEKw)

### 5.返回结果示例

```yaml
{
    "data": {
        "changeType": "simple",
        "choiseFeeType": "4",
        "createTime": "2019-05-10 10:45:41",
        "dealFinishTime": "2019-05-10 10:47:39",
        "dealReceiveCoinAmt": "",
        "depositCoinAmt": "0.01",
        "depositCoinCode": "ETH",
        "depositCoinFeeAmt": "",
        "depositCoinFeeRate": "",
        "depositCoinState": "",
        "destinationAddr": "",
        "detailState": "timeout",
        "orderId": "6019e9ab-9403-4370-bf47-3786ead6ba21",
        "orderState": "timeout",
        "platformAddr": "",
        "receiveCoinAmt": "650.8634",
        "receiveCoinCode": "SWFTC",
        "receiveSwftAmt": "0.65",
        "refundAddr": "",
        "refundCoinAmt": "",
        "refundCoinMinerFee": "",
        "refundDepositTxid": "",
        "refundSwftAmt": "",
        "swftCoinFeeRate": "0.001",
        "swftCoinState": "",
        "swftReceiveAddr": "",
        "swftRefundAddr": "",
        "tradeState": "",
        "transactionId": ""
    },
    "resCode": "800",
    "resMsg": "成功"
}
```

### 6.返回参数说明

返回参数参见[google文档](https://docs.google.com/spreadsheets/d/1LgjKhNGQRL1_TJmzrZfLjqW-FGWcJDI6uuzjuB7aBRM/edit#gid=226416001)

**注意事项**：当 changeType 为 simple时，detailState如果出现timeout状态，则说明账户在扣款时发现抵押不足，将订单置为了无效订单


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-swft.swft.pro/zhong-xin-hua-dui-huan-api-jie-kou/cha-xun-ding-dan-zhuang-tai.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
